AutoMedMessagingHelper
Keywords: uk.ac.ic.doc.automed.p2p.AutoMedMessagingHelper class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p
Class AutoMedMessagingHelper

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.AutoMedMessagingHelper

    public class AutoMedMessagingHelper

extends java.lang.Object

Constructor Summary
`AutoMedMessagingHelper(AutoMedPeer mainPeer)` Creates a new instance of AutoMedMessagingHelper

Method Summary
`void` | `clear()`
`void` | `createMessagingClient(java.lang.String operationType, boolean ackExpected)` Create a one-off client to send a message to server (no thread is needed)
`void` | `createResidentMessagingClient(java.lang.String name, java.lang.String operationType, java.lang.String protocol, boolean ackExpected)` Create a new messanging client using a specified protocol which runs periodically in memory
`void` | `stopAll()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoMedMessagingHelper

    public AutoMedMessagingHelper(AutoMedPeer mainPeer)

  Creates a new instance of AutoMedMessagingHelper

Method Detail

### createResidentMessagingClient

    public void createResidentMessagingClient(java.lang.String name,
                                              java.lang.String operationType,
                                              java.lang.String protocol,
                                              boolean ackExpected)
                                       throws AutoMedException

  Create a new messanging client using a specified protocol which runs periodically in memory

  Parameters:
    `name` - name given to the client
    `operationType` - the type of operation the client is to pursue
    `protocol` - one of the protocol constants (see `Constants` class)
    with which this client is to use
    `ackExpected` - whether to expecte acknowledgement response from other side
  Throws:
    `AutoMedException`

### createMessagingClient

    public void createMessagingClient(java.lang.String operationType,
                                      boolean ackExpected)
                               throws AutoMedException

  Create a one-off client to send a message to server (no thread is needed)

  Throws:
    `AutoMedException`

### stopAll

    public void stopAll()

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD